## Apache Zeta Components Manual :: Docs For Class ezcTreeVisitor

### Tree::ezcTreeVisitor

### Interface ezcTreeVisitor

Interface for visitor implementations that want to process a tree using the Visitor design pattern.

visit() is called on each of the nodes in the tree in a top-down, depth-first fashion.

Start the processing of the tree by calling accept() on the tree passing the visitor object as the sole parameter.

Source for this file: /Tree/src/interfaces/visitor.php

Version: | //autogentag//

### Method Summary

public bool | `visit( $visitable )` Visit the $visitable.

### Methods

#### visit

bool visit( ezcTreeVisitable $visitable )

Visit the $visitable.

Each node in the graph is visited once.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$visitable` | ezcTreeVisitable |

Documentation generated by phpDocumentor 1.4.3